/********* subcategs **********/

.category-sec{
    padding-top: 2rem;
    padding-bottom: 3rem;
}

.categ-title{
    font-size: 4rem;
    font-weight: 800;
    color: var(--primary-color);
    text-align: center;
}

.category-desc{
    max-width: 600px;
    margin: 1rem auto;
    text-align: center;
}

.subcategs-label{
    margin-top: 2rem;
    margin-bottom: 0;
    font-size: 1.2rem;
}

.subcateg-wrapper{
    margin-bottom: 1rem;
}

.subcategs-row{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.subcateg-wrapper{
    width: 255px;
    padding: 0.5rem;
    text-align: center;
    transform: translateY(0);
    transition: all 0.3s ease-in-out;
}

.subcateg-wrapper:hover{
    transform: translateY(-2%);
}

.subcateg-title{
    font-size: 1.7rem;
    line-height: 1.7rem;
    min-height: 65px;
    font-weight: bolder;
}

.subcateg-url{
    color: inherit;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

.subcateg-url:hover{
    color: #BBB;
}

.subcateg-image{
    min-height: 250px;
    border-radius: 8px;
}

@media(max-width: 960px){
    .categ-title{
        font-size: 2.6rem;
    }
    
    .subcategs-row{
        justify-content: center;
    }
    
    .subcateg-title{
        min-height: 0;
    }
    
    .subcateg-wrapper{
        margin-bottom: 1.5rem;
    }
}

/********* products **********/

.products-sec{
    padding: 4rem 0;
}

.products-row{
    justify-content: center;
    margin-top: 4rem;
}

.product-wrapper{
    height: 100%;
    
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.product-img-wrapper{
    overflow: hidden;
    position: relative;
}

.product-image{
    height: 250px;
    width: 100%;
    object-fit: cover;
    transition: all 0.2s;
    transform: scale(1);
}

.product-wrapper:hover .product-image{
    transform: scale(1.1);
}

.product-body{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-grow: 1;
    
    background-color: var(--primary-color);
    padding-top: 1rem;
    padding-bottom: 2rem;
    text-align: center;
}

.product-title{
    color: #FFF;
    font-size: 2rem;
    line-height: 2rem;
    min-height: 65px;
    font-weight: bolder;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

.product-price{
    color: #FFF;
    font-size: 1.6rem;
    font-family: "Roboto", sans-serif;
    letter-spacing: 0.7px;
    text-decoration: none;
}

.price-sale-title{
    font-family: "Roboto", sans-serif;
    font-weight: 600;
    color: #FFF;
}

.ribbon {
    font-family: "Roboto", sans-serif;
    font-size: 14px;
    font-weight: 800;
    text-align: center;
    
    padding: 4px 8px;
    
    position: absolute;
    left: 20px;
    top: 20px;
    
    border-radius: 25px;
    background-color: #07F;
    color: #FFF;
    
    letter-spacing: 1px;
}

.products-sec .btn-order{
    margin-top: 1rem;
}

@media(max-width: 500px){
    .product-wrapper{
        margin-bottom: 2rem;
    }
    
    .product-title{
        min-height: 0;
    }
}